Skip to main content
`Ctrl`+`K`

# TaoLineSearchInitializePackage

This function registers the line-search algorithms in `Tao`. When using shared or static libraries, this function is called from the first entry to `TaoCreate()`; when using dynamic, it is called from PetscDLLibraryRegister_tao()

## Synopsis

    PetscErrorCode TaoLineSearchInitializePackage(void)

## See Also

`Tao`, `TaoLineSearch`, `TaoLineSearchCreate()`

## Level

developer

## Location

src/tao/linesearch/interface/dlregis_taolinesearch.c

Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages